Subject: [Netconf] WGLC on netconf-event-notifications-13

From: Qin Wu <[email-masked]>
Date: Thu, 11 Oct 2018 01:45:12 +0000

Hi:
I have read the latest version of netconf event notification and believe it is ready for publication, here is a few comments:
1. Section 5
The first sentence in paragraph 1 discuss how to encode notification messages over NETCONF protocol, 
but it is not clear how to encode notification messages transported over RESTCONF protocol? additional text to clarify?

For second paragraph, I think we should emphasize all notifications and RPC are carried in the same session, how about the following proprosed text:
"
For dynamic subscriptions, all notification messages MUST be sent in a same
NETCONF transport session used by the "establish-subscription" RPC.
"
2. Section 7, paragraph 2 and paragraph 2, the 1st bullet:
Why JSON encoding is underlined? Why is limited to XML encoding?

3.Section 7 paragraph 2, the 1st bullet:
      "In case of error responses to an "establish-subscription" or
      "modify-subscription" request there is the option of including an
      "error-info" node."

Where "error-info" node is included? <rpc-error> element?

"  The yang-data included within "error-info" SHOULD NOT include the
      optional leaf "error-reason", as such a leaf would be redundant
      with information that is already placed within the
      "error-app-tag".
"

where yang-data included in "error-info" defined? I only see something similar defined in RFC8040 for error-info.

-Qin

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Fri, 12 Oct 2018 21:06:19 +0000

Hi Qin,

Thanks very much for your review.  Some thoughts in-line...

> From: Qin Wu, October 10, 2018 9:45 PM
> 
> Hi:
> I have read the latest version of netconf event notification and believe it is
> ready for publication, here is a few comments:
> 1. Section 5
> The first sentence in paragraph 1 discuss how to encode notification messages
> over NETCONF protocol, but it is not clear how to encode notification
> messages transported over RESTCONF protocol? additional text to clarify?

RESTCONF requirements would seem a cleaner fit for draft-ietf-netconf-restconf-notif, which is also currently under WGLC.
 
> For second paragraph, I think we should emphasize all notifications and RPC
> are carried in the same session, how about the following proprosed text:
> "

I agree with your desire to clarify and simplify.  And proposed text above does appearing two paragraphs below in Section 6.

However the kill-subscription RPC likely will not come from the same NETCONF transport session.  So we cannot fully generalize/simplify.  Let me know if there is some other approach you would like, or whether this is ok.

> Why JSON encoding is underlined? Why is limited to XML encoding?

Per another thread, mention of JSON in this draft is removed.  I don't think that we have a full set of IETF standards which document JSON + NETCONF.  
  
> Where "error-info" node is included? <rpc-error> element?

Good catch.  The text "each error identity..." really is part of the previous bullet.  I will move the text up to make that obvious.  That makes the "error-info" bullet an obvious part of the previous list.
 
> defined in RFC8040 for error-info.

I have updated the document to show that the yang-data structures come from: ietf-subscribed-notifications and ietf-yang-push.

Thanks again,

Eric

> -Qin
> 
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

---

From: Qin Wu <[email-masked]>
Date: Mon, 15 Oct 2018 02:59:19 +0000

Hi,
-----邮件原件-----
发件人: Eric Voit (evoit) [mailto:[email-masked]] 
发送时间: 2018年10月13日 5:06
收件人: Qin Wu; [email-masked]
主题: RE: [Netconf] WGLC on netconf-event-notifications-13

Hi Qin,

> I have read the latest version of netconf event notification and 
> believe it is ready for publication, here is a few comments:
> 1. Section 5
> The first sentence in paragraph 1 discuss how to encode notification 
> messages over NETCONF protocol, but it is not clear how to encode 
> notification messages transported over RESTCONF protocol? additional text to clarify?

[Qin]: Okay, forgot this when I review both drafts under WGLC,:-).
> For second paragraph, I think we should emphasize all notifications 
> and RPC are carried in the same session, how about the following proprosed text:
> "
> For dynamic subscriptions, all notification messages MUST be sent in a 
> same NETCONF transport session used by the "establish-subscription" RPC.
> "

[Qin]: I think subscribed subscription draft has clarified kill-subscription can end a dynamic subscription which is not associated with the transport
session used for other RPCs in section 2.4.5.
I think my proposed text didn't ask all notifications and all RPCs to be carried in the same NETCONF session, it looks safe to me to accept the proposed text, :-)
but I like to leave the decision to you.

  

[Qin]: Good.

> where yang-data included in "error-info" defined? I only see something 
> similar defined in RFC8040 for error-info.

[Qin]: Thanks, make sense to me.

Thanks again,

Eric

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Mon, 15 Oct 2018 12:44:10 +0000

Thanks Qin!  Based on what is below, I think we have converged.

Eric

> From: Qin Wu, October 14, 2018 10:59 PM
> 
> Hi,
> -----邮件原件-----
> RESTCONF requirements would seem a cleaner fit for draft-ietf-netconf-
> restconf-notif, which is also currently under WGLC.
> 
> I agree with your desire to clarify and simplify.  And proposed text above does
> appearing two paragraphs below in Section 6.
> 
> However the kill-subscription RPC likely will not come from the same NETCONF
> transport session.  So we cannot fully generalize/simplify.  Let me know if there
> is some other approach you would like, or whether this is ok.
> 
> [Qin]: I think subscribed subscription draft has clarified kill-subscription can
> end a dynamic subscription which is not associated with the transport session
> used for other RPCs in section 2.4.5.
> I think my proposed text didn't ask all notifications and all RPCs to be carried in
> the same NETCONF session, it looks safe to me to accept the proposed text, :-)
> Per another thread, mention of JSON in this draft is removed.  I don't think
> that we have a full set of IETF standards which document JSON + NETCONF.
> 
> Good catch.  The text "each error identity..." really is part of the previous
> bullet.  I will move the text up to make that obvious.  That makes the "error-
> info" bullet an obvious part of the previous list.
> 
> [Qin]: Good.
> 
> I have updated the document to show that the yang-data structures come
> from: ietf-subscribed-notifications and ietf-yang-push.
>